PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_dlaed3_reduceW | ( | int | n,
|  | int | n1,
|  | int | K,
|  | int | l,
|  | const double * | Q,
|  | int | LDQ,
|  | const double * | Wred,
|  | double * | W
| ) |  |

CORE_dlaed3_reduceW - Computes the reduction of multiple W l threads were computing Wred(:,j) and this kernel will compute the Pi( Wred(i,j), j=1..l )

Parameters

  [in] | n | n specifies the dimension of the symmetric tridiagonal matrix
  [in] | n1 | n1 specifies the location of the last eigenvalue of the first subproblem min(1, n) <= n1 <= n/2
  [in] | K | K specifies the number of non-deflated eigenvalues
  [in] | l | l specifies the number of columns of Wred
  [out] | Q |
  [in] | LDQ | LDQ specifies the leading direction of Q
  [in] | Wred | Wred[:,j] corresponds to the local W for a previous task
  [out] | W | On exit, W(i) = sqrt( Pi( Wred(i,j), j=1..l ) * Q(i,i) )